package asm

import (
	"fmt"

	"git.akyoto.dev/cli/q/src/build/cpu"
)

// RegisterNumber operates with a register and a number.
type RegisterNumber struct {
	Register cpu.Register
	Number   int
}

// String returns a human readable version.
func (data *RegisterNumber) String() string {
	return fmt.Sprintf("%s, %Xₕ", data.Register, data.Number)
}
